<?php

$config = parse_ini_file('config.ini', true);

$servername = $config['database']['db_host'];
$DbUsername = $config['database']['db_user'];
$DbPassword = $config['database']['db_password'];
$dbname = $config['database']['db_name'];

// Create connection
$conn = new mysqli($servername, $DbUsername, $DbPassword, $dbname);

// Check connection
if ($conn->connect_error) {
    die("1"); // Connection failed
}

$Username = $_POST['username'];

// Lobby ID is always set to 0
$LobbyId = 0;

// Get current timestamp
$Timestamp = date("Y-m-d H:i:s");

// Prepare to check if the user already exists
$stmt = $conn->prepare("SELECT `lobby` FROM `online_users` WHERE `username` = ?");
$stmt->bind_param("s", $Username);
$stmt->execute();
$result = $stmt->get_result();

if ($result->num_rows > 0) {
    // User exists, update their lobby and timestamp
    $stmt = $conn->prepare("UPDATE `online_users` SET `lobby` = ?, `timestamp` = ? WHERE `username` = ?");
    $stmt->bind_param("iss", $LobbyId, $Timestamp, $Username);
    if ($stmt->execute()) {
        echo "updated"; // Successful update
    } else {
        echo "error"; // Update failed
    }
} else {
    // User does not exist, insert a new record
    $stmt = $conn->prepare("INSERT INTO `online_users` (`username`, `lobby`, `timestamp`) VALUES (?, ?, ?)");
    $stmt->bind_param("sis", $Username, $LobbyId, $Timestamp);
    if ($stmt->execute()) {
        echo "success"; // Successful insert
    } else {
        echo "error"; // Insert failed
    }
}

$stmt->close();
$conn->close();
?>
