<?php
// Enable error reporting for debugging
error_reporting(E_ALL);
ini_set('display_errors', 1);

// Load configuration
$config = parse_ini_file('config.ini', true);

$servername = $config['database']['db_host'];
$DbUsername = $config['database']['db_user'];
$DbPassword = $config['database']['db_password'];
$dbname = $config['database']['db_name'];
$webroot = $config['web']['web_root_dir'];

// Create connection to the database
$conn = new mysqli($servername, $DbUsername, $DbPassword, $dbname);

// Check connection
if ($conn->connect_error) {
    error_log("Connection failed: " . $conn->connect_error, 3, __DIR__ . "/debug.log");
    die("1"); // 1 = connection failed
}

// Get lobby_id from command line arguments
$lobby_id = $argv[1] ?? '';

// Validate lobby_id
if (empty($lobby_id)) {
    error_log("No lobby_id provided.", 3, __DIR__ . "/debug.log");
    die("1"); // 1 = invalid lobby_id
}

// Log lobby_id for debugging
error_log("Lobby ID: $lobby_id", 3, __DIR__ . "/debug.log");

$winning_number = random_int(0, 36); // Random winning number
$wnumber_timestamp = time(); // Current timestamp

// Prepare SQL statements
$sql_update = "UPDATE `animationsync` SET `anim1synced` = 'true' WHERE `anim1synced` = 'false' AND `lobbyid` = '$lobby_id';";
$sql_insert = "INSERT INTO `numberhistory` (`number`, `timestamp`, `lobby`) VALUES ('$winning_number', '$wnumber_timestamp', '$lobby_id');";

// Execute SQL statements
if ($conn->query($sql_update) === TRUE) {
    error_log("Records updated successfully.", 3, __DIR__ . "/debug.log");
} else {
    error_log("Error updating record: " . $conn->error, 3, __DIR__ . "/debug.log");
}

if ($conn->query($sql_insert) === TRUE) {
    error_log("Winning number rolled successfully.", 3, __DIR__ . "/debug.log");
} else {
    error_log("Error inserting record: " . $conn->error, 3, __DIR__ . "/debug.log");
}

// Close the database connection
$conn->close();

// Define file paths
$filename = "$webroot/$lobby_id/global_anim1synced.txt";
$content = "true";

// Log file opening attempt
error_log("Attempting to open file: $filename for writing...", 3, __DIR__ . "/debug.log");

// Open file for writing with error handling
$file = fopen($filename, "w") or die("Unable to open file: " . $filename);
fwrite($file, $content);
fclose($file);

// Update rl_animtrigger.txt
$filename2 = "$webroot/$lobby_id/rl_animtrigger.txt";
$content2 = "1";

// Log file opening attempt
error_log("Attempting to open file: $filename2 for writing...", 3, __DIR__ . "/debug.log");

// Open file for writing with error handling
$file2 = fopen($filename2, "w") or die("Unable to open file: " . $filename2);
fwrite($file2, $content2);
fclose($file2);

// Clear the 'wins' table
$conn = new mysqli($servername, $DbUsername, $DbPassword, $dbname);

if ($conn->connect_error) {
    error_log("Connection failed: " . $conn->connect_error, 3, __DIR__ . "/debug.log");
    die("1"); // 1 = connection failed
}

$sql3 = "DELETE FROM `wins` WHERE `lobby` = '$lobby_id';";
if ($conn->query($sql3) === TRUE) {
    error_log("Records cleared successfully from wins table.", 3, __DIR__ . "/debug.log");
} else {
    error_log("Error clearing records from wins table: " . $conn->error, 3, __DIR__ . "/debug.log");
}

$conn->close();

// Include external script for further processing
require "$webroot/calculatewins.php";
?>
