<?php
$config = parse_ini_file('config.ini', true);

$servername = $config['database']['db_host'];
$DbUsername = $config['database']['db_user'];
$DbPassword = $config['database']['db_password'];
$dbname = $config['database']['db_name'];
$webroot = $config['web']['web_root_dir'];

// Get lobby_id from command line argument
if ($argc < 2) {
    error_log("No lobby_id provided.", 3, __DIR__ . "/debug.log");
    die("1"); // 1 = lobby_id not provided
}

$lobby_id = $argv[1];

// Create connection to db
$conn = new mysqli($servername, $DbUsername, $DbPassword, $dbname);

// Check connection
if($conn->connect_error) {
    error_log("Connection failed: " . $conn->connect_error, 3, __DIR__ . "/debug.log");
    die("1"); // 1 = connection failed
}

// Prepare and execute the SQL query
$sql = "UPDATE animationsync SET anim2synced = 'true' WHERE anim2synced = 'false' AND lobbyid = ?";
$stmt = $conn->prepare($sql);
$stmt->bind_param("i", $lobby_id);

if ($stmt->execute()) {
    echo "Records updated successfully.";
} else {
    echo "Error updating record: " . $conn->error;
}

$stmt->close();
$conn->close();

// Update rl_animtrigger.txt
$filename2 = "$webroot/$lobby_id/rl_animtrigger.txt";
$content2 = "2";

// Open file for writing with error handling
$file2 = fopen($filename2, "w") or die("Unable to open file: " . $filename2);
fwrite($file2, $content2);
fclose($file2);
?>
