<?php
$config = parse_ini_file('config.ini', true);

$servername = $config['database']['db_host'];
$username = $config['database']['db_user'];
$password = $config['database']['db_password'];
$dbname = $config['database']['db_name'];

// Create connection
$conn = new mysqli($servername, $username, $password, $dbname);

// Check connection
if ($conn->connect_error) {
    die("Connection failed: " . $conn->connect_error);
}

// SQL query to fetch lobbies and player count from online_users
$sql = "SELECT l.id, l.name, l.min_stake, l.max_players, 
        IFNULL(COUNT(u.lobby), 0) as player_count
        FROM lobbies l
        LEFT JOIN online_users u ON l.id = u.lobby
        GROUP BY l.id, l.name, l.min_stake, l.max_players;";

$result = $conn->query($sql);

$data = [];
if ($result->num_rows > 0) {
    // Output data of each row
    while($row = $result->fetch_assoc()) {
        $data[] = $row;
    }
}

// Return JSON response
header('Content-Type: application/json');
echo json_encode($data);

$conn->close();
?>
