<?php
$config = parse_ini_file('config.ini', true);

$servername = $config['database']['db_host'];
$DbUsername = $config['database']['db_user'];
$DbPassword = $config['database']['db_password'];
$dbname = $config['database']['db_name'];

// Create connection to db
$conn = new mysqli($servername, $DbUsername, $DbPassword, $dbname);

// Check connection
if ($conn->connect_error) {
    die("Connection failed: " . $conn->connect_error);
}

// Get the cutoff datetime (current time minus 5 minutes) in SQL datetime format
$cutoffTime = date("Y-m-d H:i:s", time() - 300); // 5 minutes ago in SQL format

// Query to delete users from online_users where timestamp is older than 5 minutes and savelogin is false
$DeleteQuery = "DELETE `ou` FROM `online_users` AS `ou`
JOIN `users` AS `u` ON `ou`.`username` = `u`.`username` COLLATE utf8mb4_general_ci
WHERE `u`.`savelogin` = 'false'
AND `ou`.`timestamp` < '$cutoffTime';";

// Run the query
if (!$conn->query($DeleteQuery)) {
    die("Error removing inactive users: " . $conn->error);
}

echo "Inactive users removed successfully.";

$conn->close();
?>
