<?php
// Database configuration
$config = parse_ini_file('config.ini', true);

$servername = $config['database']['db_host'];
$DbUsername = $config['database']['db_user'];
$DbPassword = $config['database']['db_password'];
$dbname = $config['database']['db_name'];

// Create connection
$conn = new mysqli($host, $user, $pass, $dbname);

// Check connection
if ($conn->connect_error) {
    die("Connection failed: " . $conn->connect_error);
}

// Get POST data
$username = isset($_POST['username']) ? $conn->real_escape_string($_POST['username']) : '';

// Validate input
if (empty($username)) {
    echo json_encode(['success' => false, 'message' => 'Invalid input']);
    exit;
}

// Define online threshold (5 minutes)
$threshold = 5 * 60; // 5 minutes in seconds

// Check online status
$sql = "SELECT TIMESTAMPDIFF(SECOND, timestamp, NOW()) AS time_diff FROM online_users WHERE username = '$username'";
$result = $conn->query($sql);

if ($result && $result->num_rows > 0) {
    $row = $result->fetch_assoc();
    $time_diff = $row['time_diff'];

    if ($time_diff <= $threshold) {
        echo json_encode(['success' => true, 'online' => true]);
    } else {
        echo json_encode(['success' => true, 'online' => false]);
    }
} else {
    echo json_encode(['success' => false, 'message' => 'User not found']);
}

// Close connection
$conn->close();
?>
