<?php
error_reporting(E_ALL);
ini_set('display_errors', 1);

// Database configuration
$config = parse_ini_file('config.ini', true);

$host = $config['database']['db_host'];
$user = $config['database']['db_user'];
$pass = $config['database']['db_password'];
$dbname = $config['database']['db_name'];

// Create connection
$conn = new mysqli($host, $user, $pass, $dbname);

// Check connection
if ($conn->connect_error) {
    die("Connection failed: " . $conn->connect_error);
}

// Check if lobby_id is set
if (isset($_GET['lobby_id'])) {
    $lobbyId = $_GET['lobby_id'];
    
    // Prepare the SQL query
    $query = "SELECT buttontxtcolor, txtcolor, timercolor, wn_redtxtcolor, wn_blacktxtcolor, wn_zerotxtcolor FROM lobbies WHERE id = ?";
    $stmt = $conn->prepare($query);
    
    if ($stmt === false) {
        die("Prepare failed: " . $conn->error);
    }
    
    // Bind the parameter
    $stmt->bind_param("i", $lobbyId);
    $stmt->execute();
    $result = $stmt->get_result();

    // Fetch the results
    if ($row = $result->fetch_assoc()) {
        echo json_encode([
            'buttontxtcolor' => $row['buttontxtcolor'],
            'txtcolor' => $row['txtcolor'],
            'timercolor' => $row['timercolor'],
            'wn_redtxtcolor' => $row['wn_redtxtcolor'],
            'wn_blacktxtcolor' => $row['wn_blacktxtcolor'],
            'wn_zerotxtcolor' => $row['wn_zerotxtcolor']
        ]);
    } else {
        echo json_encode(['error' => 'Error fetching SQL values']);
    }
    
    // Clean up
    $stmt->close();
} else {
    echo json_encode(['error' => 'lobby_id not provided']);
}

// Close the connection
$conn->close();
?>
