<?php
$config = parse_ini_file('config.ini', true);

$servername = $config['database']['db_host'];
$DbUsername = $config['database']['db_user'];
$DbPassword = $config['database']['db_password'];
$dbname = $config['database']['db_name'];
// Create connection
$conn = new mysqli($servername, $DbUsername, $DbPassword, $dbname);

// Check connection
if ($conn->connect_error) {
    die("Connection failed: " . $conn->connect_error);
}

// Get lobby parameter from query string
$lobby = $_GET['lobby'] ?? '';

// Validate lobby parameter
if (empty($lobby)) {
    die("No lobby parameter provided.");
}

// Query to fetch wins for the specific lobby
$sql = "SELECT username, timestamp, amount FROM wins WHERE lobby = ?";
$stmt = $conn->prepare($sql);
$stmt->bind_param("i", $lobby);
$stmt->execute();
$result = $stmt->get_result();

$wins = array();

if ($result->num_rows > 0) {
    // Output data of each row
    while ($row = $result->fetch_assoc()) {
        $wins[] = $row;
    }
}

// Close connection
$stmt->close();
$conn->close();

// Encode results to JSON format
echo json_encode($wins);
?>
