<?php
$config = parse_ini_file('config.ini', true);

$servername = $config['database']['db_host'];
$DbUsername = $config['database']['db_user'];
$DbPassword = $config['database']['db_password'];
$dbname = $config['database']['db_name'];

// Create connection
$conn = new mysqli($servername, $DbUsername, $DbPassword, $dbname);

// Check connection
if ($conn->connect_error) {
    die(json_encode(["status" => "error", "message" => "Connection failed"]));
}

$Username = $_POST['username'];
$LobbyId = $_POST['lobby'];

// Prepare and bind the update statement
$stmt = $conn->prepare("UPDATE `online_users` SET `lobby` = ? WHERE `username` = ?;");
$stmt->bind_param("ss", $LobbyId, $Username);

if ($stmt->execute()) {
    // Fetch the minimum stake for the lobby
    $stmt = $conn->prepare("SELECT `min_stake` FROM `lobbies` WHERE `id` = ?;");
    $stmt->bind_param("s", $LobbyId);
    $stmt->execute();
    $stmt->bind_result($minStake);
    
    if ($stmt->fetch()) {
        echo json_encode(["status" => "success", "min_stake" => $minStake]);
    } else {
        echo json_encode(["status" => "error", "message" => "Lobby not found."]);
    }
} else {
    echo json_encode(["status" => "error", "message" => "Update failed."]);
}

$stmt->close();
$conn->close();
?>
