<?php
// Database configuration
$config = parse_ini_file('config.ini', true);

$host = $config['database']['db_host'];
$user = $config['database']['db_user'];
$pass = $config['database']['db_password'];
$dbname = $config['database']['db_name'];

// Create connection
$conn = new mysqli($host, $user, $pass, $dbname);

// Check connection
if ($conn->connect_error) {
    die(json_encode(['success' => false, 'message' => 'Connection failed: ' . $conn->connect_error]));
}

// Get POST data (username should come from Unity)
$username = isset($_POST['username']) ? $conn->real_escape_string($_POST['username']) : '';

// Validate input
if (empty($username)) {
    echo json_encode(['success' => false, 'message' => 'Invalid input: username is required']);
    exit;
}

// Get lobby associated with the username from the users table
$getLobbySql = "SELECT lobby FROM online_users WHERE username = '$username'";
$result = $conn->query($getLobbySql);

if ($result === FALSE) {
    echo json_encode(['success' => false, 'message' => 'Error retrieving lobby: ' . $conn->error]);
    exit;
}

if ($result->num_rows === 0) {
    echo json_encode(['success' => false, 'message' => 'Username does not exist']);
    exit;
}

// Fetch the lobby
$row = $result->fetch_assoc();
$lobby = $row['lobby'];

// Update timestamp in the database using MySQL's NOW() function
$sql = "UPDATE online_users SET timestamp = NOW() WHERE username = '$username' AND lobby = '$lobby';";

// Execute query
if ($conn->query($sql) === TRUE) {
    echo json_encode(['success' => true, 'message' => 'Timestamp updated']);
} else {
    echo json_encode(['success' => false, 'message' => 'Error updating timestamp: ' . $conn->error]);
}

// Close connection
$conn->close();
?>
