<?php
error_reporting(E_ALL);
ini_set('display_errors', '1');

$config = parse_ini_file('config.ini', true);

$servername = $config['database']['db_host'];
$DbUsername = $config['database']['db_user'];
$DbPassword = $config['database']['db_password'];
$dbname = $config['database']['db_name'];

// Create connection
$conn2 = new mysqli($servername, $DbUsername, $DbPassword, $dbname);

function getLatestNumbers($conn2, $lobby_id) {
    // Use prepared statements to avoid SQL injection
    $stmt = $conn2->prepare("SELECT `number` FROM `numberhistory` WHERE `lobby` = ? ORDER BY `timestamp` DESC LIMIT 8");
    $stmt->bind_param("i", $lobby_id); // "i" denotes the type integer
    $stmt->execute();
    $result = $stmt->get_result();

    $numbers = array();
    if ($result->num_rows > 0) {
        while($row = $result->fetch_assoc()) {
            $numbers[] = (int)$row['number'];
        }
    } else {
        // Handle empty result set
        return "No data found";
    }

    // Convert numbers to plain text output
    $output = implode(",", $numbers); // Join numbers with commas

    return $output;
}

// Fetch lobby ID from request parameter
$lobby_id = isset($_GET['lobby']) ? intval($_GET['lobby']) : 0;

// Call the function and print the result
$latestNumbers = getLatestNumbers($conn2, $lobby_id);
echo $latestNumbers;
?>
